質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.32%

  • Ubuntu

    1560questions

    Ubuntuは、Debian GNU/Linuxを基盤としたフリーのオペレーティングシステムです。

apt-add-repository ppa:ansible/ansible実行エラー

解決済

回答 2

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 871

wangzj

score 19

 前提・実現したいこと

ansibleをインストールしています。
環境:
Win7
VMware Workstation 14 Player
ubuntu-ja-16.04

参照元:
http://docs.ansible.com/ansible/latest/installation_guide/intro_installation.html
Latest Releases Via Apt (Ubuntu)

$ sudo apt-get update
$ sudo apt-get install software-properties-common
$ sudo apt-add-repository ppa:ansible/ansible
$ sudo apt-get update
$ sudo apt-get install ansible

 発生している問題・エラーメッセージ

$ sudo apt-add-repository ppa:ansible/ansible
を実行するときに、エラーが発生しています:

Cannot add PPA: 'ppa:~ansible/ubuntu/ansible'.
ERROR: '~ansible' user or team does not exist.

 試したこと

エラーを無視して、最後まで実行しましたが、
installできました。
確認したところ、問題はなさそうです。
本当に大丈夫でしょうか?

確認結果:

root@ubuntu:~# ansible --version
ansible 2.0.0.2
  config file = /etc/ansible/ansible.cfg
  configured module search path = Default w/o overrides
root@ubuntu:~# ls -lrta /etc/ansible
合計 32
-rw-r--r--   1 root root   982  6月 27  2015 hosts
-rw-r--r--   1 root root 10301  1月 14  2016 ansible.cfg
drwxr-xr-x 134 root root 12288  5月 23 11:25 ..
drwxr-xr-x   2 root root  4096  5月 23 11:25 .

ほかのサイトより、proxy設定で試してみましたが、
エラーが変わらないです。

 補足情報(FW/ツールのバージョンなど)

installできましたが、本当に大丈夫かをものすごく心配しています。
(質問ばかり、申し訳ございません)

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

checkベストアンサー

+1

Ubuntuの公式リポジトリーには、元々ansibleのパッケージが提供されています。それがインストールされたのでしょう。
パッケージ: ansible (2.0.0.2-2) | Ubuntu packages

このバージョンでも運用上問題がないのであれば、そのままでも良いのではないでしょうか。

PPAを追加すると、より新しいバージョンのansibleがインストールされます。今日現在では2.5.3が入ります。それを求めるなら、PPAを追加する必要があります。
ansible | Launchpad.net

手元で試してみましたが、

$ sudo apt-add-repository ppa:ansible/ansible

は正常に機能しており、PPAの追加は問題なくできました。エラーメッセージとされる中に"~ansible"と頭にチルダ(~)が付いているのが気になりますが、タイプミスしていませんか?

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/05/24 12:35

    ご回答ありがとうございます。
    頭にチルダ(~)はパスの省略だと思います。
    何回試してみましたが、エラーが変わらないですね。

    キャンセル

  • 2018/05/24 13:59

    ansible バージョンんについて、明確に要求されていないので、Ubuntuの公式リポジトリー二提供されているものをそのまま使います。

    キャンセル

0

原因わかりましたので、補足します。
問題点:
add-apt-repository は apt.confのプロキシ設定を見ていないかもしれない。
http_proxy, https_proxyも何故か伝わっていない。

原因:
sudo コマンドは、環境変数を引き継がない。
だから、 http_proxy, https_proxyを設定していても、sudoで実行したコマンドには引き継がれない。

解決策:
管理者権限で、visudoを用いて/etc/sudoersに以下を追加する。
Defaults env_keep="http_proxy"
Defaults env_keep+="https_proxy"
これで自動的に環境変数 http_proxy, https_proxyはsudoで実行されるコマンドに引き継がれるようだ。
(環境変数 http_proxy, https_proxy事前に設定しないといけません。忘れないでね!)

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.32%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る

  • Ubuntu

    1560questions

    Ubuntuは、Debian GNU/Linuxを基盤としたフリーのオペレーティングシステムです。